Bug 19170 - Could not install from 600MB partition of 1GB HDD of RH7.0 image due to lack of space
Could not install from 600MB partition of 1GB HDD of RH7.0 image due to lack ...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-16 07:29 EDT by Need Real Name
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-28 12:40:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-16 07:29:58 EDT
Could not install from 600MB partition of 1GB HDD of RH7.0 image due to
lack of space
on partition on Sunrace 400 laptop (without CDROM) via telnet and cp. This
error resulted
when I tried with boot.img (Suspect last couple of rpm's did not copy
over).
I was unable to successfully use NTP image (netboot.img) on the 3C589C
Etherlink III as
Etherlink III pcmcia setup. Old slakware setup needs extra boot sometimes
for link to work.
I would like to use this old laptop as well with RH7.0 (minimal install).

Here follows RH7.0 install report.

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py",
line 32, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 532, in
getHeaderList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 54,
in readHeaders
OSError: [Errno 2] No such file or directory

Local variables in innermost frame:
self: <harddrive.HardDriveInstallMethod instance at 827cf90>
hl: []
path: /tmp/hdimage///root/RedHat/RPMS

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'ext2'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dsS'tree'
p10
S'/tmp/hdimage/'
p11
sS'path'
p12
S'//root'
p13
sS'device'
p14
S'hda2'
p15
sbsS'initlevel'
p16
I3
sS'progressWindow'
p17
NsS'expert'
p18
I0
sS'ddruidReadOnly'
p19
I0
sS'bootdisk'
p20
I1
sS'language'
p21
(itodo
Language
(dp22
S'abbrevMap'
p23
(dp24
S'es_ES'
p25
S'Spanish'
p26
sS'tr_TR'
p27
S'Turkish'
p28
sS'sr_YU'
p29
S'Serbian'
p30
sS'de_DE'
p31
S'German'
p32
sS'sk_SK'
p33
S'Slovak'
p34
sS'ru_RU.KOI8-R'
p35
S'Russian'
p36
sS'is_IS'
p37
S'Icelandic'
p38
sS'no_NO'
p39
S'Norwegian'
p40
sS'sv_SE'
p41
S'Swedish'
p42
sS'en_US'
p43
S'English'
p44
sS'it_IT'
p45
S'Italian'
p46
sS'da_DK'
p47
S'Danish'
p48
sS'cs_CZ'
p49
S'Czech'
p50
sS'uk_UA.KOI8-U'
p51
S'Ukrainian'
p52
sS'hu_HU'
p53
S'Hungarian'
p54
sS'fr_FR'
p55
S'French'
p56
sS'sl_SI'
p57
S'Slovenian'
p58
sS'ro_RO'
p59
S'Romanian'
p60
ssS'font'
p61
(dp62
g46
S'lat0-sun16'
sg30
S'cyr-sun16'
sg36
S'cyr-sun16'
sg44
S'None'
sg34
S'lat2-sun16'
sg40
S'lat0-sun16'
sg42
S'lat0-sun16'
sg56
S'None'
sg58
S'lat2-sun16'
sg60
S'lat2-sun16'
sg32
S'None'
sg28
S'lat5-sun16'
sg54
S'lat2-sun16'
sg26
S'None'
sg52
S'cyr-sun16'
sg50
S'lat2-sun16'
sg48
S'lat0-sun16'
sg38
S'lat0-sun16'
ssS'langs'
p63
(dp64
g46
g45
sg30
g29
sg36
g35
sg44
g43
sg34
g33
sg40
g39
sg42
g41
sg56
g55
sg58
g57
sg60
g59
sg32
g31
sg28
g27
sg54
g53
sg26
g25
sg52
g51
sg50
g49
sg48
g47
sg38
g37
ssS'info'
p65
(dp66
S'LANG'
p67
g43
ssS'map'
p68
(dp69
g46
S'iso15'
sg30
S'iso05'
sg36
S'koi8-r'
sg44
S'None'
sg34
S'iso02'
sg40
S'iso15'
sg42
S'iso15'
sg56
S'None'
sg58
S'iso02'
sg60
S'iso02'
sg32
S'None'
sg28
S'iso09'
sg54
S'iso02'
sg26
S'None'
sg52
S'koi8-u'
sg50
S'iso02'
sg48
S'iso15'
sg38
S'iso15'
ssS'lang'
p70
g43
sbsS'fstab'
p71
NsS'lilo'
p72
(ililo
LiloConfiguration
(dp73
S'liloDevice'
p74
S'mbr'
p75
sS'initrdsMade'
p76
(dsS'edd'
p77
I0
sS'default'
p78
NsS'liloImages'
p79
(dsS'liloLinear'
p80
I1
sS'liloAppend'
p81
S''
sbsS'comps'
p82
NsS'network'
p83
(itodo
Network
(dp84
S'netdevices'
p85
(dp86
S'eth0'
p87
(itodo
NetworkDevice
(dp88
g65
(dp89
S'ONBOOT'
S'yes'
p90
sS'IPADDR'
S'xxx.xxx.7.13'
sS'DEVICE'
p91
g87
sS'NETWORK'
S'xxx.xxx.8.0'
sS'BOOTPROTO'
S'static'
p92
sS'NETMASK'
S'255.255.248.0'
sS'BROADCAST'
S'xxx.xxx.15.255'
ssbssS'gateway'
p93
S'xxx.xxx.8.190'
sS'secondaryNS'
p94
S''
sS'hostname'
p95
S'leia'
sS'primaryNS'
p96
S'xxx.xxx.7.14'
sS'domains'
p97
(lsS'isConfigured'
p98
I0
sS'readData'
p99
I0
sS'ternaryNS'
p100
S''
sbsS'upgrade'
p101
I0
sS'instClass'
p102
(iworkstation
InstallClass
(dp103
S'rootPasswordCrypted'
p104
I0
sS'nameserver'
p105
S''
sS'x'
NsS'rootPassword'
p106
NsS'makeBootdisk'
p107
I1
sS'installType'
p108
NsS'postScript'
p109
NsS'earlySwapOn'
p110
I0
sS'networkDevice'
p111
NsS'clearText'
p112
Nsg72
(g75
I1
S''
tsg21
NsS'name'
p113
S''
sS'postInChroot'
p114
I0
sS'pixmap'
p115
S''
sS'partitions'
p116
(lp117
(S'/boot'
p118
(I16
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNta(S'/'
(I700
I-1
I1
t(S''
I-1
I0
t(I0
I0
tNta(S'swap'
p119
(I64
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNtasS'clearType'
p120
S'wkst'
p121
sg93
S''
sS'mouse'
p122
NsS'packages'
p123
NsS'timezone'
p124
NsS'zeroMbr'
p125
I0
sS'keyboard'
p126
NsS'groups'
p127
(lp128
S'Workstation Common'
p129
asS'bootProto'
p130
NsS'netmask'
p131
S''
sS'raidList'
p132
(lsS'skipSteps'
p133
(dp134
S'authentication'
p135
I1
sg72
I1
ssS'auth'
p136
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg95
S'localhost.localdomain'
p137
sg71
(lsS'showgroups'
p138
(lp139
S'KDE'
p140
aS'GNOME'
p141
aS'Games'
p142
asS'ip'
p143
S''
sS'defaultRunlevel'
p144
NsS'desktop'
p145
S''
sS'clearPartText'
p146
S'You are about to erase any preexisting Linux installations on your
system.'
p147
sS'clearParts'
p148
I2
sbsS'rootpassword'
p149
NsS'extraModules'
p150
(lp151
sg122
(imouse
Mouse
p152
(dp153
g14
S'ttyS0'
p154
sg65
(dp155
S'XMOUSETYPE'
p156
S'Auto'
p157
sS'FULLNAME'
p158
S'Microsoft - Rev 2.1A or higher (serial)'
p159
sS'MOUSETYPE'
p160
S'pnp'
p161
ssS'emu'
p162
I0
sS'wasProbed'
p163
I1
sS'emulate'
p164
I0
sbsS'ddruidAlreadySaved'
p165
I1
sS'serial'
p166
I0
sg124
(S'Africa/Johannesburg'
I0
I0
tsg125
I0
sg126
(ikbd
Keyboard
(dp167
S'layout'
p168
NsS'model'
p169
NsS'type'
p170
S'PC'
p171
sg65
(dp172
S'KEYBOARDTYPE'
p173
S'pc'
p174
sS'KEYTABLE'
p175
S'us'
p176
ssbsS'skipFdisk'
p177
I1
sS'fdDevice'
p178
S'fd0'
p179
sS'installSystem'
p180
I1
sS'setupFilesystems'
p181
I1
sg136
(itodo
Authentication
(dp182
S'useNIS'
p183
I0
sS'nisServer'
p184
S''
sS'useLdap'
p185
I0
sS'krb5Kdc'
p186
S''
sS'useHesiod'
p187
I0
sS'ldapServer'
p188
S''
sS'nisDomain'
p189
S''
sS'krb5Realm'
p190
S''
sS'useLdapauth'
p191
I0
sS'hesiodRhs'
p192
S''
sS'useShadow'
p193
I1
sS'nisuseBroadcast'
p194
I0
sS'useKrb5'
p195
I0
sS'useMD5'
p196
I1
sS'ldapBasedn'
p197
S''
sS'krb5Admin'
p198
S''
sS'hesiodLhs'
p199
S''
sS'hesiodDlhs'
p200
S''
sbsg95
g137
sS'reconfigOnly'
p201
I0
sS'x'
(ixf86config
XF86Config
(dp202
S'monlist'
p203
(dsS'keyModel'
p204
S'pc101'
p205
sS'monids'
p206
(dsg14
NsS'monEisa'
p207
NsS'server'
p208
NsS'monHoriz'
p209
S'31.5'
p210
sS'devID'
p211
NsS'modes'
p212
(dp213
S'8'
(lp214
S'640x480'
p215
assS'keyOptions'
p216
S''
sS'keyVariant'
p217
S''
sS'monID'
p218
S'Unprobed Monitor'
p219
sS'keyLayout'
p220
S'us'
p221
sS'manualModes'
p222
(dsg122
g152
sS'keyRules'
p223
S'xfree86'
p224
sS'monVert'
p225
S'60'
p226
sS'cardMan'
p227
NsS'monSect'
p228
S''
sS'primary'
p229
I0
sS'vidRam'
p230
NsS'probed'
p231
I0
sS'monName'
p232
NsS'vidCards'
p233
(lsS'skip'
p234
I0
sS'files'
p235
S'\012# The location of the RGB database.  Note, this is the name of
the\012# file minus the extension (like ".txt" or ".db").  There is
normally\012# no need to change the default.\012\012   
RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# Multiple FontPath entries are
allowed (they are concatenated together)\012# By default, Red Hat 6.0 and
later now use a font server independent of\012# the X server to render
fonts.\012\012    FontPath   "/usr/X11R6/lib/X11/fonts/TrueType"\012   
FontPath   "unix/:7100"\012'
p236
sbsS'users'
p237
NsS'instPath'
p238
S'/mnt/sysimage'
p239
sS'intf'
p240
NsS'hdList'
p241
Nsb.
Comment 1 Brock Organ 2000-10-17 18:53:18 EDT
just for clarification, is your problem:

a) the install source image did not fit on your hard drive partition
b) the install source image DID fit on the hard drive partition but failed to
properly install 

please let me know if I misunderstood your problem above ... thanks for your
report!
Comment 2 Need Real Name 2000-10-19 06:23:34 EDT
a) Yes, I think the v*,w*,x*,...rpm s did not fit on.
b) But would still like to know how to use it partially (squeze the nessesary
rpms on)
c) How can I try to restart pcmcia and network on the netboot.img to get nfs
going again for the
alternative option.
Comment 3 Brock Organ 2000-11-07 12:41:25 EST
hmmm ... 

If you want a minimal hard drive install, try copying the rpms to the hard drive
as listed in the RedHat/base/comps file under the "base" section ... does that
work for you ...?
Comment 4 Brock Organ 2000-11-07 12:43:40 EST
We haven't seen the problem with the ethernet card you describe above, but we
don't have your exact hardware available to verify it with ... (3C589C Etherlink
III)
Comment 5 Michael Fulbright 2000-11-28 12:40:51 EST
Please reopen this bug if you continue to have problems.

Note You need to log in before you can comment on or make changes to this bug.